<?php
session_start();include ("index.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
</head>

<body>

<?php

require("dbconnect.php");

$dt=$_SESSION['dt'];
$name = $_SESSION['n'];
$name = stripslashes($name);
$usr=$_SESSION['usr'];

echo "ΗΜΕΡΟΜΗΝΙΑ:".$dt."...."." ΕΚΠΑΙΔΕΥΤΙΚΟΣ:".$name;
echo "<br>"; 
echo "<br>"." ΕΠΙΛΟΓΗ ΠΕΡΙΟΔΟΥ ΔΙΔΑΣΚΑΛΙΑΣ ΚΑΙ ΤΜΗΜΑΤΟΣ";
$sql = "SELECT DISTINCT tmima FROM allstudentinfo ";
$result = mysqli_query($con,$sql);
?>
<form  method="post" name = "formtmima" action = >
<select name="ora">
<option value=1>1</option>
<option value=2>2</option>
<option value=3>3</option>
<option value=4>4</option>
<option value=5>5</option>
<option value=6>6</option>
<option value=7>7</option>
</select>
<?php
echo "<select name='tmim'>";
while ($row = mysqli_fetch_array($result)) 
{
	$tmima=$row['tmima'];
   	echo "<option value ='".$tmima."'>".$tmima."</option>";
	}
echo "</select>";
?>	
<input type="Submit" name="amiges" value="Επιλογή" >
</form>

<?php

if (isset($_POST['amiges'])){	
	
   $per = $_POST["ora"];
   $_SESSION['per']=$per;
 
$tm1=$_POST['tmim'];
$lesson=$tm1;
$_SESSION['less']=$tm1;
$result = mysqli_query($con,"SELECT mitroo,eponimo,onoma FROM allstudentinfo WHERE tmima='$tm1' ORDER BY eponimo,onoma  ");
$crow1=mysqli_num_rows($result);

$i=1;
 while($row = mysqli_fetch_array($result))
     {
	 $mt[$i]=$row['mitroo'];
	  $epo[$i]=$row['eponimo']." ".$row['onoma'];
	  $tmim[$i]=$tm1;
	 $i++;}


$res1=mysqli_query($con, "SELECT code,onoma FROM ekdilosi WHERE date = '$dt' ");
$c1=mysqli_num_rows($res1);

echo "<br >"."ΣΥΝΟΛΟ ΔΡΑΣΤΗΡΙΟΤΗΤΩΝ ΣΤΙΣ:".$dt. " .ΕΙΝΑΙ. ". $c1."<br >";

 if ($c1 > 0)  {  
 $i=0;
 while($row = mysqli_fetch_array($res1))
     {
	 $codekd[$i]=$row['code'];
	 $onomaekd[$i]=$row['onoma'];
	 $i++;
    }
 }


echo " Διδάσκων :<input type='text' name='name' value='$name' />" ;
echo " Περίοδος :<input type='number' name='per' value='$per' /> ";
echo " Τμήμα/Συνδ.:<input type='text' name='lesson' value='$lesson' /> <br /><br />  ";
$_SESSION['less']="ΔΔΚ";

$i=1;
 while($i<=$crow1){$ap[$i]='unchecked';$stoli[$i]='unchecked'; $kath[$i]=0;$i++;}

$sql=mysqli_query($con,"SELECT apousies.mitroo, apousies.apousia, allstudentinfo.tmima FROM apousies,allstudentinfo WHERE apousies.mitroo=allstudentinfo.mitroo AND apousies.dateout='$dt' AND apousies.teacher='$usr' AND apousies.mathima='$lesson' AND apousies.period='$per' AND apousies.apousia=1" );

$c2=mysqli_num_rows($sql);

    while($row = mysqli_fetch_array($sql)){	
	for($i=1;$i<=$crow1;$i++)
     {
		if ( $mt[$i]== $row['mitroo']){
			 $ap[$i]='checked';}
	 }}
	 
$sql=mysqli_query($con,"SELECT apousies.mitroo, apousies.stoli,allstudentinfo.tmima FROM apousies,allstudentinfo WHERE apousies.mitroo=allstudentinfo.mitroo AND apousies.dateout='$dt' AND apousies.teacher='$usr' AND apousies.mathima='$lesson' AND apousies.period='$per' AND apousies.stoli=1" );

$c2=mysqli_num_rows($sql);

    while($row = mysqli_fetch_array($sql)){	
	for($i=1;$i<=$crow1;$i++)
     {
		if ( $mt[$i]== $row['mitroo']){
			 $stoli[$i]='checked';}
	 }}

$sql=mysqli_query($con,"SELECT apousies.mitroo, apousies.kath, allstudentinfo.tmima FROM apousies,allstudentinfo WHERE apousies.mitroo=allstudentinfo.mitroo AND apousies.dateout='$dt' AND apousies.teacher='$usr' AND apousies.mathima='$lesson' AND apousies.period='$per' AND apousies.kath > 0" );
$c2=mysqli_num_rows($sql);

	while($row = mysqli_fetch_array($sql)){	
	for($i=1;$i<=$crow1;$i++)
     {
		if ( $mt[$i]== $row['mitroo']){
	    	$kath[$i]=$row['kath'];}
			
	 }}
?>

<form method="POST" name = "eggrafi" action="eggrafi.php" >
 
<?php
echo "<table class='myTable' >
<tr style='border:1px solid black' >
<tr>
<th>α/α</th>
<th>Α.Μ</th>
<th>Τμήμα</th>
<th>Όνοματεπώνυμο</th>
<th>Απουσία</th>
<th>Καθυστ.</th>
<th>Στολή/Εμφάνιση</th>
<th>Απουσιάζει για Δραστηριότητα</th>

</tr>";


$i=1;
 while($i<=$crow1)
     {
	 
	 echo "<tr>";
	 echo "<td>" .$i;
	 echo "<td>". "<input type='text' name='mt[]' value='$mt[$i]' size='6' >" . "</td>";
	 echo "<td>". "<input type='text' name='tmim' value='$tmim[$i]' size='6' >" . "</td>";
	 echo "<td>". "<input type='text' name='epo[]' value='$epo[$i]' size='30' >" . "</td>";  
	 echo "<td>". "<input type='checkbox' value='$mt[$i]' name='att[]' $ap[$i] >" ."</td>";
	 echo "<td>". "<input type='text' name='kath[]' value='$kath[$i]' size='6'   >" ."</td>";
	 echo "<td>". "<input type='checkbox' value='$mt[$i]' name='stoli[]' $stoli[$i] size='6'>" ."</td>"; 
	 
 	 //................
	 if ($c1 > 0 ) {	 
	 $i1=0;
	 
	 foreach ($codekd as $cdo) {
	 
	 	 $q2 =mysqli_query($con, "SELECT p1,p2,p3,p4,p5,p6,p7 FROM ekdilosistu WHERE pmp = '$mt[$i]' AND code='$cdo' ");
	 $c2=mysqli_num_rows($q2);
	 if ($c2 > 0){
	   
	 $row2 = mysqli_fetch_array($q2);
	  $p1=$row2['p1'];$p2=$row2['p2'];$p3=$row2['p3'];$p4=$row2['p4'];$p5=$row2['p5'];$p6=$row2['p6'];$p7=$row2['p7'];		
		$np="p".$per;
	    if ($$np == 1) { echo "<td>". $onomaekd[$i1] ."</td>"; }}
			   
	 $i1++; }}

	 echo "</tr>";
$i++;
}

echo "</table>";
$_SESSION['fg']=$i;

echo "ΚΑΤΑΓΡΑΦΗ ΤΗΣ ΥΛΗΣ...μπορεί να γίνει και αργότερα από το απουσιολόγιο";
echo "<br>";
$sql=mysqli_query($con,"SELECT perigrafi FROM syllabi  WHERE pmp='$usr' AND per='$per' AND date='$dt'  "); 
 $row = mysqli_fetch_array($sql);
 $perigrafi=$row['perigrafi'];
echo "<textarea name='perigrafi' cols='80' rows='3'> $perigrafi </textarea >"."<br >";

?>
<input type="Submit" name="Submitapou" value="Καταχώρηση">
</form>
<?php
}
?>
<br />
<a  href="index.php" style="color:blue "  >  Επιστροφή στο Μενού  </a>

</body>
</html>